#include <clippy/clippy.hpp>

#include <vector>
#include <string>

std::vector<std::string> ParseInputParameters(int argc, char* argv[]) {
  std::vector<std::string> result;
  result.reserve(argc);

  for (size_t i = 0; i < argc; ++i) {
    result.emplace_back(argv[i]);
  }

  return result;
}

int main(int argc, char* argv[]) {
  auto params = ParseInputParameters(argc, argv);

  Clippy clippy;
  clippy.Run(params);
}
